Name: x11-driver-video-xgi
Version: 1.6.1
Release: %mkrel 3
Summary: X.org driver for XGI Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgi-%{version}.tar.xz
Patch1:	0001-Add-missing-includes-to-avoid-implicit-function-decl.patch
Patch2:	0002-Fix-invalid-mode-passed-to-open.patch

License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: libdrm-devel		>= 2.3.0
BuildRequires: libpixman-1-devel	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: x11-server-devel		>= 1.4
BuildRequires: libmesagl-devel		>= 7.0.2
Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-xgi is the X.org driver for Generic XGI Cards.

%prep
%setup -q -n xf86-video-xgi-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/xgi_drv.la
%{_libdir}/xorg/modules/drivers/xgi_drv.so
%{_mandir}/man4/xgi.*


%changelog
* Sat Oct 01 2016 adrianomorselli <adrianomorselli> 1.6.1-3uplos2016
- rebuild and fix

* Wed Jul 20 2016 bb <bb> 1.6.1-2pclos2016
- rebuild new xorg

* Sat Nov 14 2015 bb <bb> 1.6.1-1pclos2015
- update
